<div class="container mt-5">
    <h1>Atendimento</h1>
    <form [formGroup]="registrarAtendimentoForm">
        <div class="d-flex flex-row-reverse mt-2">
            <button [routerLink]="['../../pesquisa']" class="btn btn-primary" type="submit">Voltar</button>
        </div>
        <div class="row mt-2">
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="associadoInput">Associado</label>
                <input aria-describedby="associado" class="form-control" formControlName="associado" id="associadoInput"
                       type="text">
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="prestadorInput">Prestador</label>
                <input aria-describedby="prestador" class="form-control" formControlName="prestador" id="prestadorInput"
                       type="text">
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="conveniadoInput">Conveniado</label>
                <input aria-describedby="conveniado" class="form-control" formControlName="conveniado"
                       id="conveniadoInput"
                       type="text">
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="dataAtendimentoInput">Data de Atendimento</label>
                <input aria-describedby="dataAtendimento" class="form-control"
                       formControlName="dataAtendimento" id="dataAtendimentoInput"
                       type="text">
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="atendimentoConfirmadoInput">Atendimento confirmado</label>
                <input aria-describedby="dataAtendimento" class="form-control"
                       formControlName="confirmado" id="atendimentoConfirmadoInput"
                       type="text">
            </div>
        </div>
        <div class="row mt-2">
            <div class="mb-3">
                <label class="form-label" for="exampleFormControlTextarea1">Observações</label>
                <textarea class="form-control" formControlName="observacao" id="exampleFormControlTextarea1"
                          rows="10"></textarea>
                <mat-error *ngIf="isControlHasError('observacao','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>

        </div>

        <!--Exames-->
        <div class="row mt-2">
            <h1>Solicitar Exames</h1>

            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="associadoExameInput">Associado</label>
                <input aria-describedby="associadoExame" class="form-control" formControlName="associadoExame"
                       id="associadoExameInput"
                       type="text">
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="prestadorExameInput">Prestador</label>
                <input aria-describedby="prestadorExame" class="form-control" formControlName="prestadorExame"
                       id="prestadorExameInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('prestadorExame','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="conveniadoExameInput">Conveniado</label>
                <input aria-describedby="conveniadoExame" class="form-control" formControlName="conveniadoExame"
                       id="conveniadoExameInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('conveniadoExame','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="dataAtendimentoExameInput">Data de Atendimento</label>
                <input aria-describedby="dataAtendimentoExame" class="form-control"
                       formControlName="dataAtendimentoExame" id="dataAtendimentoExameInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('dataAtendimentoExame','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>

            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="tipoExameInput">Tipo de exame</label>
                <input aria-describedby="tipoExame" class="form-control"
                       formControlName="tipoExame" id="tipoExameInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('tipoExame','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>
            <div class="d-flex flex-row-reverse mt-2 mb-3">
                <button (click)="adicionarExame()" class="btn btn-primary" type="submit">Adicionar</button>
            </div>
        </div>


        <div>
            <mat-table [dataSource]="dataSource" class="mat-elevation-z8" matSort>

                <ng-container matColumnDef="prestador">
                    <mat-header-cell *matHeaderCellDef>Prestador</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{element.prestador}} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="associado">
                    <mat-header-cell *matHeaderCellDef>Associado</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{element.associado}} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="conveniado">
                    <mat-header-cell *matHeaderCellDef>Conveniado</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{element.conveniado}} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="horario">
                    <mat-header-cell *matHeaderCellDef>Data Atendimento</mat-header-cell>
                    <mat-cell *matCellDef="let element"> {{element.horario}} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="acao">
                    <mat-header-cell *matHeaderCellDef>Ações</mat-header-cell>
                    <mat-cell *matCellDef="let row">
                        <a (click)="removeExame(row.index, row)" mat-icon-button>
                            <mat-icon color="warn">delete_forever</mat-icon>
                        </a>
                    </mat-cell>
                </ng-container>

                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

                <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
            </mat-table>
            <div *ngIf="dataSource.data.length == 0" class="mat-table__message">Nenhum resultado encontrado</div>
            <div class="mat-table__bottom">
                <mat-paginator (page)="pageEvent = $event"
                               [length]="length"
                               [pageSizeOptions]="pageSizeOptions"
                               [pageSize]="pageSize">
                </mat-paginator>
            </div>
        </div>

        <div class="d-flex flex-row-reverse mt-5 mb-5">
            <button (click)="salvar()" class="btn btn-primary" type="submit">Salvar</button>
            <button [routerLink]="['../../pesquisa']" class="btn btn-secondary me-2" type="submit">Cancelar</button>
        </div>
    </form>
</div>
